(function() {
       tinymce.PluginManager.add('wdm_mce_button', function( editor, url ) {
           editor.addButton('wdm_mce_button', {
                 text: "Legal Eagle General",
               //  class: ' mce-listbox ',
                 classes: ' listbox ',
                 icon: false,
                 type: 'menubutton',
                 menu: [
                       {
                        text: 'Domain Name',
                        onclick: function() {
                           editor.insertContent('[Domain]');
                                  }
                        },
                       {
                        text: 'Business Name',
                        onclick: function() {
                           editor.insertContent('[Business Name]');
                                 }
                       } ,
                        {
                        text: 'Phone',
                        onclick: function() {
                           editor.insertContent('[Phone]');
                                 }
                       } ,
                        {
                        text: 'Street',
                        onclick: function() {
                           editor.insertContent('[Street]');
                                 }
                       } ,
                        {
                        text: 'City, State, Zip code',
                        onclick: function() {
                           editor.insertContent('[City, State, Zip code]');
                                 }
                       } ,

                        {
                        text: 'Country',
                        onclick: function() {
                           editor.insertContent('[Country]');
                                 }
                       } ,

                        {
                        text: 'Email',
                        onclick: function() {
                           editor.insertContent('[Email]');
                                 }
                       } ,

                        {
                        text: 'Full Mailing Address',
                        onclick: function() {
                           editor.insertContent('[Address]');
                                 }
                       } ,

                        {
                        text: 'Niche',
                        onclick: function() {
                           editor.insertContent('[Niche]');
                                 }
                       } ,

                        {
                        text: 'Facebook URL',
                        onclick: function() {
                           editor.insertContent('[Facebook-url]');
                                 }
                       },

                        {
                        text: 'Google URL',
                        onclick: function() {
                           editor.insertContent('[Google-url]');
                                 }
                       },

                        {
                        text: 'Twitter URL',
                        onclick: function() {
                           editor.insertContent('[Twitter-url]');
                                 }
                       },

                        {
                        text: 'LinkedIn URL',
                        onclick: function() {
                           editor.insertContent('[LinkedIn-url]');
                                 }
                       }

                       ]
             });
       });
})();